/* wlan.h

   Author : KoreK
   Date : Sep 1, 2004
   Licence : GPL v2 or above (see accompanying COPYING file)

   Copyright (c) 2004 KoreK, All Rights Reserved
*/

#ifndef WLAN_H
#define WLAN_H

#include <sys/types.h>
#include "p80211.h"

#define ETH_P_80211_RAW        (ETH_P_ECONET + 1)

int open_wlan(char *dev);

int close_wlan(int f_d);

int write_frame(int fd,
		p80211_frame_t frame);

p80211_frame_t read_frame(int fd);

#endif // WLAN_H
